## Bsoft program

# bop

### Usage: bop [options] file1.img file2.img outfile.img

Binary operations for 2D and 3D images.
Only one operation can be done at a time.

### Actions:

-slices | Interpret multiple 2D images as z-slices of a single 3D image
-images | Interpret slices of a single 3D image as 2D images
-add 1.4,3.6 | Add two images, scaling and shifting the second.
-multiply -5.1,0.5 | Multiply two images, scaling and shifting the second.
-divide -1.8,-2.4 | Divide the first image by the second, scaling and shifting the second.
-largest 3.1,0.5 | Maximum of two images, scaling and shifting the second.
-smallest 3.1,0.5 | Minimum of two images, scaling and shifting the second.
-truncate -0.3,10 | Truncate result to min and max.
-fit 6 | Linear fit, excluding a percentage of voxels as outliers, output difference.
-coefficient | Calculates correlation coefficients between two sets of images.
-correlate corr.img | Correlate two images and generate a correlation image.
-Histomatch 20 | Match histogram of image 2 to image 1, output modified image 2.
-blend 7 | Blend from image 1 to image 2, output a new multi-image file.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-radius minr,maxr | Correlate or fit only between min. and max. radius (pixel).

### Input:

-Mask mask.tif | Mask file to use for limiting comparisons to a defined region.

Bsoft version 2.0.3-20180917 (64 bit)